### Constructor

# Gtk.DropDown.new

#### Declaration [src]

    GtkWidget*
    gtk_drop_down_new (
      GListModel* model,
      GtkExpression* expression
    )

#### Description [src]

Creates a new `GtkDropDown`.

You may want to call `gtk_drop_down_set_factory()` to set up a way to map its items to widgets.

#### Parameters

`model` | `GListModel*`
| the model to use or `NULL` for none
| Can be `NULL`
| Ownership of the data is transferred to the callee
`expression` | `GtkExpression`
| the expression to use or `NULL` for none
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkDropDown`
Ownership is not transferred to the caller